package kr.co.uplus.ez.api.channelMgt;

import kr.co.uplus.ez.api.channelMgt.dto.TmpltInfo;
import kr.co.uplus.ez.api.channelMgt.dto.TmpltListExcelReqDto;
import kr.co.uplus.ez.api.channelMgt.dto.TmpltListReqDto;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ChannelMgtMapper {

	int selectTmpltTotalCnt(TmpltListReqDto tmpltListReqDto);

	List<TmpltInfo> selectTmpltList(TmpltListReqDto tmpltListReqDto);

	List<TmpltInfo> selectTmpltListExcel(TmpltListExcelReqDto tmpltListExcelReqDto);
}
